iPrint Client in openSUSE 11.2

A default installation of openSUSE 11.2 failed when trying to print to an iprint printer.  If you follow all the normal procedures to install the client rpm, restart the browser (if required), and fail to install a printer (command line gives: the request contained bad syntax) try the following:

Comment out the following line in your /etc/cups/cupsd.conf file

Listen /var/run/cups/cups.sock

Then restart cups

sudo /etc/init.d/cups restart

Try installing the printer again.  If you are lucky you should have no more problems.

If you are trying to install the iprint client in x86_64 you may run into issues depending on what version you are installing. The latest version of the iprint client will not install because of a mozilla-xulrunner-190-32bit dependency. Install the mozilla-xulrunner-191-32bit package and then install the iprint client rpm with --nodeps which seems to work. In the previous verion of iprint you would get a segfault when trying to add a printer. This has been resolved in the latest version of the iprint client.

Leave a Reply